package com.yiqi.core.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 物料明细对象 goods_sku （里面的价格属于总部的价格）
 *
 * @author ruoyi
 * @date 2023-08-21
 */
@ApiModel("物料明细")
@TableName("goods_sku")
@Data
public class GoodsSku extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty("主键id")
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 商品编号
     */
    @ApiModelProperty("商品编号")
    private Long goodsId;

    /**
     * sku编号
     */
    @Excel(name = "sku编号")
    @ApiModelProperty("sku编号")
    private String skuCode;

    /**
     * 商品零售价
     */
    @Excel(name = "零售价")
    @ApiModelProperty("零售价")
    private BigDecimal salePrice;

    /**
     * 成本价
     */
    @Excel(name = "成本价")
    @ApiModelProperty("成本价")
    private BigDecimal costPrice;

    /**
     * 门店采购价
     */
    @Excel(name = "采购价")
    @ApiModelProperty("采购价")
    private BigDecimal purchasePrice;

    /**
     * 库存
     */
    @Excel(name = "库存")
    @ApiModelProperty("库存")
    private Integer stock;


    /**
     * 规格值组合
     */
    private String specs;

    @TableField(exist = false)
    private String skuValues;


    @TableField(exist = false)
    private List<String> specValLists;

    /**
     * 来源类型
     */
    @Excel(name = "来源类型")
    @ApiModelProperty("来源类型")
    private String sourceType;

    /**
     * 状态
     */
    @Excel(name = "状态")
    @ApiModelProperty("状态0正常 1禁用")
    private String status;

    /**
     * 是否删除
     */
    @ApiModelProperty("是否删除0存在 2删除")
    private String delFlag;

}
