package com.yiqi.core.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 商品物料门店关联对象 goods_sku_store
 *
 * @author ruoyi
 * @date 2023-09-05
 */
@ApiModel("商品物料门店关联")
@TableName("goods_sku_store")
@Data
public class GoodsSkuStore extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @ApiModelProperty("编号")
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 商品 ID
     */
    @Excel(name = "商品 ID")
    @ApiModelProperty("商品 ID")
    private Long goodsId;

    /**
     * 商品SKU ID
     */
    @Excel(name = "商品SKU ID")
    @ApiModelProperty("商品SKU ID")
    private Long goodsSkuId;

    /**
     * 来源类型
     */
    @Excel(name = "来源类型")
    @ApiModelProperty("来源类型")
    private String sourceType;

    /**
     * 门店编号
     */
    @Excel(name = "门店编号")
    @ApiModelProperty("门店编号")
    private Long targetId;

    /**
     * 是否上架
     */
    @Excel(name = "是否上架")
    @ApiModelProperty("是否上架")
    private String status;

    /**
     * 零售价
     */
    @Excel(name = "零售价")
    @ApiModelProperty("零售价")
    private BigDecimal salePrice;

    /**
     * 库存
     */
    @Excel(name = "库存")
    @ApiModelProperty("库存")
    private Integer stock;


}
