package com.yiqi.core.domain;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

/**
 * 门店每日统计对象 settlement_store_statistics
 *
 * @author douya
 * @date 2025-03-21
 */
@ApiModel("门店每日统计")
@TableName("settlement_store_statistics")
@Data
public class SettlementStoreStatistics extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 门店ID
     */
    @Excel(name = "门店ID")
    @ApiModelProperty("门店ID")
    private Long storeId;

    /**
     * 门店名称
     */
    @Excel(name = "门店名称")
    @TableField(exist = false)
    private String storeName;

    /**
     * 结算日期
     */
    @Excel(name = "结算日期")
    @ApiModelProperty("结算日期")
    private Integer day;

    /**
     * 今日应收金额
     */
    @Excel(name = "今日应收金额")
    @ApiModelProperty("今日应收金额")
    private BigDecimal clothOrderAmount;

    /**
     * 预约数量
     */
    @Excel(name = "预约数量")
    @ApiModelProperty("预约数量")
    private Integer clothAppointCount;

    /**
     * 今日收款金额
     */
    @Excel(name = "今日收款金额")
    @ApiModelProperty("今日收款金额")
    private BigDecimal clothReceiveAmount;

    /**
     * 今日退款金额
     */
    @Excel(name = "今日退款金额")
    @ApiModelProperty("今日退款金额")
    private BigDecimal clothRefundAmount;

    /**
     * 洗衣订单数
     */
    @Excel(name = "洗衣订单数")
    @ApiModelProperty("洗衣订单数")
    private Integer clothOrderCount;

    /**
     * 洗衣件数
     */
    @Excel(name = "洗衣件数")
    @ApiModelProperty("洗衣件数")
    private Integer clothCount;

    /**
     * 支付宝支付金额
     */
    @Excel(name = "支付宝支付金额")
    @ApiModelProperty("支付宝支付金额")
    private BigDecimal clothAlipayAmount;

    /**
     * 微信支付金额
     */
    @Excel(name = "微信支付金额")
    @ApiModelProperty("微信支付金额")
    private BigDecimal clothWechatAmount;

    /**
     * 现金支付金额
     */
    @Excel(name = "现金支付金额")
    @ApiModelProperty("现金支付金额")
    private BigDecimal clothCashAmount;

    /**
     * 银联支付金额
     */
    @Excel(name = "银联支付金额")
    @ApiModelProperty("银联支付金额")
    private BigDecimal clothUnionAmount;

    /**
     * 福利支付金额
     */
    @Excel(name = "会员支付金额")
    @ApiModelProperty("会员支付金额")
    private BigDecimal clothMemberAmount;

    /**
     * 支付宝退款金额
     */
    @Excel(name = "支付宝退款金额")
    @ApiModelProperty("支付宝退款金额")
    private BigDecimal clothAlipayRefundAmount;

    /**
     * 微信退款金额
     */
    @Excel(name = "微信退款金额")
    @ApiModelProperty("微信退款金额")
    private BigDecimal clothWechatRefundAmount;

    /**
     * 现金退款金额
     */
    @Excel(name = "现金退款金额")
    @ApiModelProperty("现金退款金额")
    private BigDecimal clothCashRefundAmount;

    /**
     * 银联退款金额
     */
    @Excel(name = "银联退款金额")
    @ApiModelProperty("银联退款金额")
    private BigDecimal clothUnionRefundAmount;

    /**
     * 福利退款金额
     */
    @Excel(name = "福利退款金额")
    @ApiModelProperty("福利退款金额")
    private BigDecimal clothMemberRefundAmount;

    /**
     * 今日订单金额
     */
    @Excel(name = "今日订单金额")
    @ApiModelProperty("今日订单金额")
    private BigDecimal goodsOrderAmount;

    /**
     * 今日收款金额
     */
    @Excel(name = "今日收款金额")
    @ApiModelProperty("今日收款金额")
    private BigDecimal goodsReceiveAmount;

    /**
     * 今日退款金额
     */
    @Excel(name = "今日退款金额")
    @ApiModelProperty("今日退款金额")
    private BigDecimal goodsRefundAmount;

    /**
     * 订单数
     */
    @Excel(name = "订单数")
    @ApiModelProperty("订单数")
    private Integer goodsOrderCount;

    /**
     * 商品数
     */
    @Excel(name = "商品数")
    @ApiModelProperty("商品数")
    private Integer goodsCount;

    /**
     * 支付宝支付金额
     */
    @Excel(name = "支付宝支付金额")
    @ApiModelProperty("支付宝支付金额")
    private BigDecimal goodsAlipayAmount;

    /**
     * 微信支付金额
     */
    @Excel(name = "微信支付金额")
    @ApiModelProperty("微信支付金额")
    private BigDecimal goodsWechatAmount;

    /**
     * 现金支付金额
     */
    @Excel(name = "现金支付金额")
    @ApiModelProperty("现金支付金额")
    private BigDecimal goodsCashAmount;

    /**
     * 银联支付金额
     */
    @Excel(name = "银联支付金额")
    @ApiModelProperty("银联支付金额")
    private BigDecimal goodsUnionAmount;

    /**
     * 福利支付金额
     */
    @Excel(name = "福利支付金额")
    @ApiModelProperty("福利支付金额")
    private BigDecimal goodsMemberAmount;

    /**
     * 商品退款金额
     */
    @Excel(name = "商品退款金额")
    @ApiModelProperty("商品退款金额")
    private BigDecimal goodsOrderRefundAmount;

    /**
     * 支付宝支付金额
     */
    @Excel(name = "支付宝支付金额")
    @ApiModelProperty("支付宝支付金额")
    private BigDecimal goodsAlipayRefundAmount;

    /**
     * 微信支付金额
     */
    @Excel(name = "微信支付金额")
    @ApiModelProperty("微信支付金额")
    private BigDecimal goodsWechatRefundAmount;

    /**
     * 现金支付金额
     */
    @Excel(name = "现金支付金额")
    @ApiModelProperty("现金支付金额")
    private BigDecimal goodsCashRefundAmount;

    /**
     * 银联支付金额
     */
    @Excel(name = "银联支付金额")
    @ApiModelProperty("银联支付金额")
    private BigDecimal goodsUnionRefundAmount;

    /**
     * 福利支付金额
     */
    @Excel(name = "福利支付金额")
    @ApiModelProperty("福利支付金额")
    private BigDecimal goodsMemberRefundAmount;

    /**
     * 充值订单数
     */
    @Excel(name = "充值订单数")
    @ApiModelProperty("充值订单数")
    private Integer chargeCount;

    /**
     * 充值金额
     */
    @Excel(name = "充值金额")
    @ApiModelProperty("充值金额")
    private BigDecimal chargeAmount;

    /**
     * 充值到账金额
     */
    @Excel(name = "充值到账金额")
    @ApiModelProperty("充值到账金额")
    private BigDecimal chargeArriveAmount;

    /**
     * 充值订单数
     */
    @Excel(name = "充值退款数")
    @ApiModelProperty("充值退款数")
    private Integer chargeRefundCount;

    /**
     * 充值金额
     */
    @Excel(name = "充值金额")
    @ApiModelProperty("充值金额")
    private BigDecimal chargeRefundAmount;


    /**
     * 充值退款到账金额
     */
    @Excel(name = "充值退款到账金额")
    @ApiModelProperty("充值退款到账金额")
    private BigDecimal chargeRefundArriveAmount;
}
