package com.yiqi.core.domain.dto;

import com.yiqi.common.annotation.Excel;
import com.yiqi.core.domain.GoodsInfo;
import com.yiqi.core.domain.GoodsSku;
import com.yiqi.core.domain.GoodsSpec;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author douya
 * @description
 * @date 2025/3/8
 */
@Data
public class GoodsInfoDto extends GoodsInfo {
    private static final long serialVersionUID = 1L;

    /** 规格列表 */
    private List<GoodsSpec> specList;

    /** SKU列表 */
    private List<GoodsSku> skuList;

    /**
     * 商品零售价
     */
    @Excel(name = "零售价")
    @ApiModelProperty("零售价")
    private BigDecimal singleSkuPrice;

    /**
     * 总部批发价
     */
    @Excel(name = "批发价")
    @ApiModelProperty("批发价")
    private BigDecimal singleSkuCostPrice;

    /**
     * 商品进货价
     */
    @Excel(name = "采购价")
    @ApiModelProperty("采购价")
    private BigDecimal singleSkuPurchasePrice;

    /**
     * 库存
     */
    @Excel(name = "库存")
    @ApiModelProperty("库存")
    private Integer singleSkuStock;

}
