package com.yiqi.core.domain.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 衣服瑕疵对象 cloth_flaw
 *
 * @author ruoyi
 * @date 2023-08-03
 */
@Data
@ApiModel("衣服瑕疵")
public class ClothFlawVo {

    /** 衣服瑕疵id */

    private Long id;

    /** 衣服瑕疵名称 */
    @ApiModelProperty("衣服瑕疵名称")
    private String name;

    /** 瑕疵类型id */
    @ApiModelProperty("瑕疵类型id")
    private Long flawTypeId;

    /** 瑕疵类型名称 */
    @ApiModelProperty("瑕疵类型名称")
    private String flawTypeName;

    /** 显示顺序 */
    @ApiModelProperty("显示顺序")
    private Long sort;

    /** 衣服瑕疵状态（0正常 1停用） */
    @ApiModelProperty("衣服瑕疵状态（0正常 1停用）")
    private String status;

    @ApiModelProperty("创建时间")
    private String createTime;

    /** 是否置顶 */
    @ApiModelProperty("是否置顶")
    private String isTop;

    /**
     * 创建者ID
     */
    @ApiModelProperty("创建者ID")
    private Long createById;

    /**
     * 创建者
     */
    @ApiModelProperty("创建者")
    private String createBy;

    /**
     * 更新者ID
     */
    @ApiModelProperty("更新者ID")
    private Long updateById;

    public String getUpdateBy() {
        return updateBy;
    }

    /**
     * 更新者
     */
    @ApiModelProperty("更新者")
    private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    @ApiModelProperty("备注")
    private String remark;
}
