package com.yiqi.core.domain.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import com.yiqi.core.domain.GoodsSkuSpec;
import com.yiqi.core.domain.GoodsSkuStore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 物料明细对象 goods_sku
 *
 * @author ruoyi
 * @date 2023-08-21
 */
@ApiModel("物料明细")
@Data
public class GoodsSkuQueryVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty("主键id")
    private Long id;
//
    /**
     * 商品编号
     */
    @Excel(name = "商品编号")
    @ApiModelProperty("商品编号")
    private Long goodsId;

    /**
     * 商品编号
     */
    @Excel(name = "商品编号")
    private String skuCode;

    /**
     * 商品编号
     */
    @Excel(name = "商品规格价格编号")
    @ApiModelProperty("商品规格价格编号")
    private Long goodsSkuStoreId;

    /**
     * 商品名称
     */
    @Excel(name = "商品名称")
    @ApiModelProperty("商品名称")
    private String goodsName;

    @ApiModelProperty("商品图片")
    private String goodsImg;

    /**
     * 来源类型
     */
    @Excel(name = "组织id")
    @ApiModelProperty("组织id")
    private Long targetId;

    /**
     * 规格值组合
     */
    private String specs;

    /**
     * 规格列表
     */
    private List<String> specValLists;

    /**
     * 来源类型
     */
    @Excel(name = "来源类型")
    @ApiModelProperty("来源类型")
    private String sourceType;

    @ApiModelProperty("规格信息")
    private List<GoodsSkuSpec> specVoList;

    /**
     * 零售价
     */
    @Excel(name = "零售价")
    @ApiModelProperty("零售价")
    private BigDecimal salePrice;

    /**
     * 成本价
     */
    @Excel(name = "成本价")
    @ApiModelProperty("成本价")
    private BigDecimal costPrice;

    /**
     * 采购价
     */
    @Excel(name = "采购价")
    @ApiModelProperty("采购价")
    private BigDecimal purchasePrice;

    /**
     * 库存
     */
    @Excel(name = "库存")
    @ApiModelProperty("库存")
    private Integer stock;

    /**
     * 总部库存
     */
    @Excel(name = "总部库存")
    @ApiModelProperty("总部库存")
    private Integer hqStock;

    /**
     * 状态
     */
    @Excel(name = "状态")
    @ApiModelProperty("状态0正常 1禁用")
    private String status;

    /**
     * 是否删除
     */
    @ApiModelProperty("是否删除0存在 2删除")
    private String delFlag;

}
