package com.yiqi.core.service;

import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.core.domain.SettlementManageBill;
import com.yiqi.core.domain.dto.SettlementBillAddDTO;
import com.yiqi.settlement.domain.dto.StoreBillStatistics;

/**
 * 结算管理Service接口
 *
 * @author ruoyi
 * @date 2024-02-15
 */
public interface ISettlementManageBillService extends IService<SettlementManageBill> {

    void insertSettlementManageBill(SettlementBillAddDTO settlementBillAddDTO);

    /**
     * @param storeId
     * @param startTime
     * @param endTime
     * @desc 店铺订单结算
     */
    StoreBillStatistics storeBillSettlement(Long storeId, Date startTime, Date endTime);


    /**
     * @param startTime
     * @param endTime
     * @desc 平台订单结算统计
     */
    StoreBillStatistics platformBillSettlement(Date startTime, Date endTime);


    /**
     * @param storeId
     * @param startTime
     * @param endTime
     * @desc 店铺充值结算
     */
    StoreBillStatistics storeChargeSettlement(Long storeId, Date startTime, Date endTime);
}
