package com.yiqi.core.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.core.domain.SettlementStoreClothStatistics;
import com.yiqi.order.domain.dto.SettlementFactoryStatisticsDto;

import java.util.Date;
import java.util.List;

/**
 * 门店衣服入厂情况每日统计Service接口
 *
 * @author ruoyi
 * @date 2025-04-09
 */
public interface ISettlementStoreClothStatisticsService extends IService<SettlementStoreClothStatistics> {

    /**
     * 查询门店衣服入厂情况每日统计
     *
     * @param id 门店衣服入厂情况每日统计主键
     * @return 门店衣服入厂情况每日统计
     */
    public SettlementStoreClothStatistics selectSettlementStoreClothStatisticsById(Long id);

    /**
     * 查询门店衣服入厂情况每日统计列表
     *
     * @param settlementStoreClothStatistics 门店衣服入厂情况每日统计
     * @return 门店衣服入厂情况每日统计集合
     */
    public List<SettlementStoreClothStatistics> selectSettlementStoreClothStatisticsList(SettlementStoreClothStatistics settlementStoreClothStatistics);

    /**
     * 新增门店衣服入厂情况每日统计
     *
     * @param settlementStoreClothStatistics 门店衣服入厂情况每日统计
     * @return 结果
     */
    public int insertSettlementStoreClothStatistics(SettlementStoreClothStatistics settlementStoreClothStatistics);

    /**
     * 修改门店衣服入厂情况每日统计
     *
     * @param settlementStoreClothStatistics 门店衣服入厂情况每日统计
     * @return 结果
     */
    public int updateSettlementStoreClothStatistics(SettlementStoreClothStatistics settlementStoreClothStatistics);

    /**
     * 批量删除门店衣服入厂情况每日统计
     *
     * @param ids 需要删除的门店衣服入厂情况每日统计主键集合
     * @return 结果
     */
    public int deleteSettlementStoreClothStatisticsByIds(Long[] ids);

    /**
     * 删除门店衣服入厂情况每日统计信息
     *
     * @param id 门店衣服入厂情况每日统计主键
     * @return 结果
     */
    public int deleteSettlementStoreClothStatisticsById(Long id);

    /**
     * 根据条件查询门店衣服入厂情况每日统计
     *
     * @param factoryId
     * @param storeId
     * @param start
     * @param end
     * @return
     */
    SettlementFactoryStatisticsDto totalByCondition(Long factoryId, Long storeId, Date start, Date end);


    /**
     * 根据条件查询门店衣服入厂情况每日统计 (获取某天的统计)
     *
     * @param factoryId
     * @param storeId
     * @return
     */
    SettlementFactoryStatisticsDto totalByConditionByDate(Long factoryId, Long storeId, Date date);

    /**
     * 根据条件查询门店衣服入厂情况每日统计
     *
     * @param factoryId
     * @param storeId
     * @param start
     * @param end
     * @return
     */
    List<SettlementFactoryStatisticsDto> listDateByCondition(Long factoryId, Long storeId, Date start, Date end);


    /**
     * 根据条件查询门店衣服入厂情况每日统计
     *
     * @param factoryId
     * @param storeId
     * @param start
     * @param end
     * @return
     */
    List<SettlementFactoryStatisticsDto> listStoreByCondition(Long factoryId, Long storeId, Date start, Date end);
}
