package com.yiqi.order.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

@Data
public class OrderClothAppPayDTO {

    @ApiModelProperty("客户ID")
    private Long appUserId;

    @NotEmpty(message = "请先设置支付方式")
    @ApiModelProperty("支付方式（0=微信，1=支付宝，3=余额）")
    private String payType;

    @ApiModelProperty("订单编号")
    @NotNull(message = "订单编号必传")
    private String orderNo;

    @ApiModelProperty("配送金额")
    private BigDecimal deliveryAmount;

    @ApiModelProperty("订单金额")
    @NotNull(message = "订单金额必传")
    private BigDecimal payAmount;

    @ApiModelProperty("优惠券优惠金额")
    private BigDecimal couponDeductAmount;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("折扣活动ID")
    private Long activityId;

    @ApiModelProperty("活动折扣金额")
    private BigDecimal activityDiscountAmount;

    @ApiModelProperty("订单使用优惠券")
    private List<OrderCouponDTO> orderCouponDTOS;

    @ApiModelProperty("送衣方式（0=到店，1=上门）")
    private String sendClothWay;

    @ApiModelProperty("付款平台(APP=APP、WEAPP=小程序)")
    private String platform;
}
