package com.yiqi.recharge.domain.dto;

import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import javax.validation.constraints.DecimalMin;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.math.BigDecimal;

@Data
@ApiModel("直充导入DTO")
public class DirectChargingImportDTO {
    
    @Excel(name = "手机号")
    @NotBlank(message = "手机号不能为空")
    @Pattern(regexp = "^1[3-9]\\d{9}$", message = "手机号格式不正确")
    private String appUserPhoneNumber;

    @Excel(name = "充值金额")
    @NotNull(message = "充值金额不能为空")
    @DecimalMin(value = "0.01", message = "充值金额必须大于0")
    private BigDecimal rechargeAmount;

    @Excel(name = "门店编号")
    private String storeCode;
}


