package com.yiqi.settlement.domain.dto;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 订单统计VO
 */
@Data
public class OrderStatisticsVO {
    /**
     * 订单数量
     */
    private Integer orderCount;

    /**
     * 商品数量 或者 衣服件数
     */
    private Integer goodsCount;
    
    /**
     * 交易笔数
     */
    private Long transactionCount;

    /**
     * 交易金额
     */
    private BigDecimal transactionAmount;


    /**
     * 交易退款金额
     */
    private BigDecimal transactionRefundAmount;
    
    /**
     * 总金额
     */
    private BigDecimal totalAmount;
    
    /**
     * 微信支付金额
     */
    private BigDecimal wechatAmount;
    
    /**
     * 支付宝支付金额
     */
    private BigDecimal alipayAmount;
    
    /**
     * 现金支付金额
     */
    private BigDecimal cashAmount;
    
    /**
     * 会员支付金额
     */
    private BigDecimal memberAmount;

    /**
     * 银联支付金额
     */
    private BigDecimal unionAmount;
    
    /**
     * 退款笔数
     */
    private Integer refundCount;
    
    /**
     * 退款金额
     */
    private BigDecimal refundAmount;


    /**
     * 微信退款金额
     */
    private BigDecimal wechatRefundAmount;

    /**
     * 支付宝退款金额
     */
    private BigDecimal alipayRefundAmount;

    /**
     * 现金退款金额
     */
    private BigDecimal cashRefundAmount;

    /**
     * 会员退款金额
     */
    private BigDecimal memberRefundAmount;

    /**
     * 银联退款金额
     */
    private BigDecimal unionRefundAmount;
}