package com.yiqi.settlement.domain.dto;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 门店充值账单统计
 */
@Data
public class StoreChargeStatistics {


    private Integer day;

    /**
     * 门店ID
     */
    private Long storeId;

    /**
     * 门店名称
     */
    private String storeName;
    
    /**
     * 开始时间
     */
    private Date startTime;
    
    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 充值订单数量
     */
    private Integer rechargeCount;


    /**
     * 充值支付金额
     */
    private BigDecimal rechargePayAmount;


    /**
     * 充值退款金额
     */
    private BigDecimal chargeRefundAmount;


    /**
     * 微信支付金额
     */
    private BigDecimal wechatPayAmount;

    /**
     * 支付宝支付金额
     */
    private BigDecimal alipayAmount;

    /**
     * 现金支付金额
     */
    private BigDecimal cashPayAmount;

    /**
     * 卡密支付金额
     */
    private BigDecimal cardPayAmount;

    /**
     * 银联支付金额
     */
    private BigDecimal unionPayAmount;

    /**
     * 退款笔数
     */
    private Integer refundCount;

    /**
     * 退款金额
     */
    private BigDecimal refundAmount;


    /**
     * 微信退款金额
     */
    private BigDecimal wechatRefundAmount;

    /**
     * 支付宝退款金额
     */
    private BigDecimal alipayRefundAmount;

    /**
     * 现金退款金额
     */
    private BigDecimal cashRefundAmount;

    /**
     * 卡密退款金额
     */
    private BigDecimal cardRefundAmount;

    /**
     * 银联退款金额
     */
    private BigDecimal unionRefundAmount;


    /**
     * 会员卡到账现金金额*
     */
    private BigDecimal arriveCashAmount;


    /**
     * 会员卡到账现金金额*
     */
    private BigDecimal arriveGiveAmount;


    /**
     * 会员卡到账福利金额*
     */
    private BigDecimal arriveWelfareAmount;


    /**
     * 会员卡到账现金金额*
     */
    private BigDecimal arriveCashRefundAmount;


    /**
     * 会员卡到账现金金额*
     */
    private BigDecimal arriveGiveRefundAmount;


    /**
     * 会员卡到账福利金额*
     */
    private BigDecimal arriveWelfareRefundAmount;

}