package com.yiqi.settlement.domain.dto;

import com.yiqi.app.domain.AppUserBillMstr;
import com.yiqi.core.domain.SettlementManageStore;
import com.yiqi.order.domain.*;
import com.yiqi.recharge.domain.RechargePasswordCard;
import com.yiqi.settlement.domain.SettlementStoreRate;
import lombok.Data;

import java.util.List;

@Data
public class StoreSettlementData {
    // 订单数据
    private List<OrderCloth> clothOrders;          // 洗衣订单
    private List<OrderClothItem> clothItems;       // 洗衣单项
    private List<OrderGoods> goodsOrders;          // 商品订单
    private List<OrderClothRefund> clothRefunds;   // 洗衣退款
    private List<OrderGoodsRefund> goodsRefunds;   // 商品退款
    private List<OrderPurchaseGoods> orderPurchaseGoods; //采购订单

    // 支付数据
    private List<OrderPayInfo> payInfos;           // 支付记录
    private List<OrderRefundInfo> refundInfos;     // 退款记录

    // 会员卡数据
    private List<RechargePasswordCard> memberCards; // 会员卡数据

    // 跨店结算数据
    private List<AppUserBillMstr> crossStoreBills; // 跨店账单

    // 上期结算数据
    private SettlementManageStore lastSettlement;   // 上期结算数据

    //结算费率
    private SettlementStoreRate settlementRate;
}