package com.yiqi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import java.io.Serializable;

/**
 * 配置分类对象 sys_config_tab
 *
 * @author douya
 * @date 2024-11-01
 */
@ApiModel("配置分类")
@TableName("sys_config_tab")
@Data
public class SysConfigTab implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 配置分类id
     */
    @ApiModelProperty("配置分类id")
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 上级分类id
     */
    @Excel(name = "上级分类id")
    @ApiModelProperty("上级分类id")
    private Integer pid;

    /**
     * 配置分类名称
     */
    @Excel(name = "配置分类名称")
    @ApiModelProperty("配置分类名称")
    private String title;

    /**
     * 配置分类英文名称
     */
    @Excel(name = "配置分类英文名称")
    @ApiModelProperty("配置分类英文名称")
    private String engTitle;

    /**
     * 配置分类状态
     */
    @Excel(name = "配置分类状态")
    @ApiModelProperty("配置分类状态")
    private Integer status;

    /**
     * 配置分类是否显示
     */
    @Excel(name = "配置分类是否显示")
    @ApiModelProperty("配置分类是否显示")
    private Integer info;

    /**
     * 图标
     */
    @Excel(name = "图标")
    @ApiModelProperty("图标")
    private String icon;

    /**
     * 配置类型
     */
    @Excel(name = "配置类型")
    @ApiModelProperty("配置类型")
    private Integer type;

    /**
     * 排序
     */
    @Excel(name = "排序")
    @ApiModelProperty("排序")
    private Integer sort;

    /**
     * 菜单ID
     */
    @Excel(name = "菜单ID")
    @ApiModelProperty("菜单ID")
    private Integer menusId;


}
