package com.yiqi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import java.io.Serializable;

/**
 * 组合数据对象 sys_data_group
 *
 * @author douya
 * @date 2024-10-29
 */
@ApiModel("组合数据")
@TableName("sys_data_group")
@Data
public class SysDataGroup implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 组合数据ID
     */
    @ApiModelProperty("组合数据ID")
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 数据组名称
     */
    @Excel(name = "数据组名称")
    @ApiModelProperty("数据组名称")
    private String name;

    /**
     * 数据提示
     */
    @Excel(name = "数据提示")
    @ApiModelProperty("数据提示")
    private String info;

    /**
     * 关键字
     */
    @Excel(name = "关键字")
    @ApiModelProperty("关键字")
    private String configName;

    /**
     * 数据组字段以及类型（json数据）
     */
    @Excel(name = "数据组字段以及类型", readConverterExp = "j=son数据")
    @ApiModelProperty("数据组字段以及类型（json数据）")
    private String fields;


}
