package com.yiqi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

/**
 * 消息配置对象 sys_message_config
 *
 * @author douya
 * @date 2024-11-22
 */
@ApiModel("消息配置")
@TableName("sys_message_config")
@Data
public class SysMessageConfig extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 标识
     */
    @Excel(name = "标识")
    @ApiModelProperty("标识")
    private String code;

    /**
     * 通知场景说明
     */
    @Excel(name = "通知场景说明")
    @ApiModelProperty("通知场景说明")
    private String title;

    /**
     * 公众号模板消息（0：不存在，1：开启，2：关闭）
     */
    @Excel(name = "公众号模板消息", readConverterExp = "0=：不存在，1：开启，2：关闭")
    @ApiModelProperty("公众号模板消息（0：不存在，1：开启，2：关闭）")
    private Integer isWechat;

    /**
     * 模版消息tempkey
     */
    @Excel(name = "模版消息tempkey")
    @ApiModelProperty("模版消息tempkey")
    private String wechatTempkey;

    /**
     * 模版消息内容
     */
    @Excel(name = "模版消息内容")
    @ApiModelProperty("模版消息内容")
    private String wechatContent;

    /**
     * 模版消息tempid
     */
    @Excel(name = "模版消息tempid")
    @ApiModelProperty("模版消息tempid")
    private String wechatTempid;

    /**
     * 模版消息参数
     */
    @Excel(name = "模版消息参数")
    @ApiModelProperty("模版消息参数")
    private String wechatData;

    /**
     * 模版消息链接
     */
    @Excel(name = "模版消息链接")
    @ApiModelProperty("模版消息链接")
    private String wechatLink;

    /**
     * 模版消息跳转小程序
     */
    @Excel(name = "模版消息跳转小程序")
    @ApiModelProperty("模版消息跳转小程序")
    private Integer wechatToRoutine;

    /**
     * 小程序订阅消息（0：不存在，1：开启，2：关闭）
     */
    @Excel(name = "小程序订阅消息", readConverterExp = "0=：不存在，1：开启，2：关闭")
    @ApiModelProperty("小程序订阅消息（0：不存在，1：开启，2：关闭）")
    private Integer isRoutine;

    /**
     * 订阅消息id
     */
    @Excel(name = "订阅消息id")
    @ApiModelProperty("订阅消息id")
    private String routineTempkey;

    /**
     * 订阅消息内容
     */
    @Excel(name = "订阅消息内容")
    @ApiModelProperty("订阅消息内容")
    private String routineContent;

    /**
     * 订阅消息tempid
     */
    @Excel(name = "订阅消息tempid")
    @ApiModelProperty("订阅消息tempid")
    private String routineTempid;

    /**
     * 订阅消息参数
     */
    @Excel(name = "订阅消息参数")
    @ApiModelProperty("订阅消息参数")
    private String routineData;

    /**
     * 订阅消息链接
     */
    @Excel(name = "订阅消息链接")
    @ApiModelProperty("订阅消息链接")
    private String routineLink;

    /**
     * 发送短信（0：不存在，1：开启，2：关闭）
     */
    @Excel(name = "发送短信", readConverterExp = "0=：不存在，1：开启，2：关闭")
    @ApiModelProperty("发送短信（0：不存在，1：开启，2：关闭）")
    private Integer isSms;

    /**
     * 短信id
     */
    @Excel(name = "短信id")
    @ApiModelProperty("短信id")
    private String smsId;

    /**
     * 短信模版内容
     */
    @Excel(name = "短信模版内容")
    @ApiModelProperty("短信模版内容")
    private String smsText;

    /**
     * APP推送（0：不存在，1：开启，2：关闭）
     */
    @Excel(name = "APP推送", readConverterExp = "0=：不存在，1：开启，2：关闭")
    @ApiModelProperty("APP推送（0：不存在，1：开启，2：关闭）")
    private Integer isApp;

    /**
     * app推送id
     */
    @Excel(name = "app推送id")
    @ApiModelProperty("app推送id")
    private Integer appId;

    /**
     * 变量
     */
    @Excel(name = "变量")
    @ApiModelProperty("变量")
    private String variable;

    /**
     * 状态（0=禁用,1=启用）
     */
    @Excel(name = "状态", readConverterExp = "0==禁用,1=启用")
    @ApiModelProperty("状态（0=禁用,1=启用）")
    private String status;


}
