package com.yiqi.system.domain.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.yiqi.common.annotation.Excel;
import com.yiqi.system.domain.SysConfigTab;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author douya
 * @description
 * @date 2024/11/3
 */
@Data
public class SysConfigTabDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 配置分类id
     */
    @ApiModelProperty("配置分类id")
    private Integer id;

    /**
     * 上级分类id
     */
    @Excel(name = "上级分类id")
    @ApiModelProperty("上级分类id")
    private Integer pid;

    /**
     * 配置分类名称
     */
    @Excel(name = "配置分类名称")
    @ApiModelProperty("配置分类名称")
    private String title;

    /**
     * 配置分类英文名称
     */
    @Excel(name = "配置分类英文名称")
    @ApiModelProperty("配置分类英文名称")
    private String engTitle;

    /**
     * 配置分类状态
     */
    @Excel(name = "配置分类状态")
    @ApiModelProperty("配置分类状态")
    private Integer status;

    /**
     * 配置分类是否显示
     */
    @Excel(name = "配置分类是否显示")
    @ApiModelProperty("配置分类是否显示")
    private Integer info;

    /**
     * 图标
     */
    @Excel(name = "图标")
    @ApiModelProperty("图标")
    private String icon;

    /**
     * 配置类型
     */
    @Excel(name = "配置类型")
    @ApiModelProperty("配置类型")
    private Integer type;

    /**
     * 排序
     */
    @Excel(name = "排序")
    @ApiModelProperty("排序")
    private Integer sort;

    /**
     * 菜单ID
     */
    @Excel(name = "菜单ID")
    @ApiModelProperty("菜单ID")
    private Integer menusId;


    private List<SysConfigTab> children;
}
