package com.yiqi.core.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.core.domain.SettlementStoreClothStatistics;
import com.yiqi.order.domain.dto.SettlementFactoryStatisticsDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * 门店衣服入厂情况每日统计Mapper接口
 *
 * @author ruoyi
 * @date 2025-04-09
 */
public interface SettlementStoreClothStatisticsMapper extends BaseMapper<SettlementStoreClothStatistics> {

    /**
     * 查询门店衣服入厂情况每日统计
     *
     * @param id 门店衣服入厂情况每日统计主键
     * @return 门店衣服入厂情况每日统计
     */
    SettlementFactoryStatisticsDto totalByCondition(@Param("factoryId") Long factoryId, @Param("storeId") Long storeId, @Param("start") Integer start, @Param("end") Integer end);

    /**
     * 查询门店衣服入厂情况每日统计列表
     *
     * @param settlementStoreClothStatistics 门店衣服入厂情况每日统计
     * @return 门店衣服入厂情况每日统计集合
     */
    List<SettlementFactoryStatisticsDto> listDateByCondition(@Param("factoryId") Long factoryId, @Param("storeId") Long storeId, @Param("start") Integer start, @Param("end") Integer end);

    /**
     * 查询门店衣服入厂情况每日统计列表
     *
     * @param settlementStoreClothStatistics 门店衣服入厂情况每日统计
     * @return 门店衣服入厂情况每日统计集合
     */
    List<SettlementFactoryStatisticsDto> listStoreByCondition(@Param("factoryId") Long factoryId, @Param("storeId") Long storeId, @Param("start") Integer start, @Param("end") Integer end);


    SettlementFactoryStatisticsDto totalByConditionByDate(@Param("factoryId") Long factoryId, @Param("storeId") Long storeId, @Param("day") Integer day);
}
