package com.yiqi.system.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.system.domain.SysConfigRecord;

/**
 * 配置Mapper接口
 *
 * @author douya
 * @date 2024-11-01
 */
public interface SysConfigRecordMapper extends BaseMapper<SysConfigRecord> {
    //<editor-folder desc="基础韩素">
    /**
     * 查询配置
     *
     * @param id 配置主键
     * @return 配置
     */
    public SysConfigRecord selectSysConfigRecordById(Integer id);

    /**
     * 查询配置列表
     *
     * @param sysConfigRecord 配置
     * @return 配置集合
     */
    public List<SysConfigRecord> selectSysConfigRecordList(SysConfigRecord sysConfigRecord);

    /**
     * 新增配置
     *
     * @param sysConfigRecord 配置
     * @return 结果
     */
    public int insertSysConfigRecord(SysConfigRecord sysConfigRecord);

    /**
     * 修改配置
     *
     * @param sysConfigRecord 配置
     * @return 结果
     */
    public int updateSysConfigRecord(SysConfigRecord sysConfigRecord);

    /**
     * 删除配置
     *
     * @param id 配置主键
     * @return 结果
     */
    public int deleteSysConfigRecordById(Integer id);

    /**
     * 批量删除配置
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysConfigRecordByIds(Integer[] ids);
    //</editor-folder>
}
